/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

/*
 * calculator
 * A sample Enhydra Application
 * 1/99
 * Andy John
 * andy@enhydra.org
 * 
 */
package calculator;

import com.lutris.appserver.server.*;
import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.appserver.server.session.*;
import com.lutris.util.*;

/**
 *  This is a sample Enhydra application. It simulates a simple calculator.
 *  A scan of a real calculator is used for the front end, with an image map.
 *
 *  A global counter of the number of buttons pushed (across all users) is
 *  kept here.
 *
 *  Noramlly an Enhydra application would make note of various settings
 *  in the config file, but this application is so simple it needs no
 *  configuration. 
 */
public class CalcApp extends StandardApplication {


    /**
     *  A hit counter for the number of buttons pressed by all users.
     */
    public long buttonsPushed = 0;

    /*
     *  A few methods you might want to add to.
     *  See StandardApplication for more details.
     */
    public void startup(Config appConfig) throws ApplicationException {
        super.startup(appConfig);
        //  Here is where you would read application-specific settings from
        //  your config file.
    }
    public boolean requestPreprocessor(HttpPresentationComms comms)
                   throws Exception {
        return super.requestPreprocessor(comms);
    }

    /**
     *  Show the number of buttons pressed. This will only be called by the
     *  Enhydra Multiserver (it won't show up in other servers).
     *
     * @return HTML that is displayed in the status page of the Multiserver.
     */
    public String toHtml() {
        return "This is a sample Enhydra Application. " + buttonsPushed +
               " buttons have been pushed so far.";
    }

}

