/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package chat.business;

import java.util.Vector;


/**
 *  This class is used as a way to return both a vector and a long from
 *  a method in the Discussion class. It holds a "snapshot in time" of the
 *  state of the discussion. The state field holds the timestamp of that
 *  state.
 */
public class Snapshot {
 
    /**
     *  A list of all the messages (Message objects).
     */ 
    public Vector contents;

    /**
     *  The timestamp in place when this snapshot was taken.
     */
    public long state;

    /**
     *  Create a new snapshot. Be sure that the contents of the vector
     *  are in sync with the state value.
     */
    public Snapshot(Vector contents, long state) {
        this.contents = contents;
        this.state = state;
    }

}


