/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * 
 */

package demoApp.data.user;
import java.io.Serializable;


/**
 * The application specific user data object.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.10 $
 */
public class DemoAppUserDO implements Serializable {
    private int userid = 0;
    private String name = null;
    private String password = null;
    
    /**
     * Constructor
     * 
     * @param name A unique String representing the user's identity.
     * @param password A String containing the user's password.
     * @param userid An int containing the user's unique id number.
     */ 
    public DemoAppUserDO(String name, String password, int userid) {
	this.name = name;
	this.password = password;
	this.userid = userid;
    }

    public String getName() {
	return name;
    }

    public void setName(String name) {
	this.name = name;
    }

    public String getPassword() {
	return password;
    }

    public void setPassword(String password) {
	this.password = password;
    }

    public int getUserID() {
	return userid;
    }

    public void setUserID(int userid) {
	this.userid = userid;
    }
}

