package poker.presentation.login;
 
import java.io.*;
import java.net.*;
import com.lutris.http.*;
import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.appserver.server.user.*;
import com.lutris.util.*;
import poker.business.*;
import poker.data.user.*;
import poker.Poker;

/**
 *   Presentation Object that processes the login request and redirects
 *      to the appropriate page.
 *
 * 
 * EnhyDraw!, beta 4, 5/21/99
 *
 * Copyright 1999, Larry Wolcot & Daryl Tempesta
 * ALL rights reserved. Not for commercial use
 * without written permission from both authors.
 *
 * @author Shawn McMurdo, Larry Wolcott
 * @version $Revision: 1.1.1.1 $
 */
public class LoginProcessor implements HttpPresentation{

    static final String badpassword = "Incorrect username or password.";
    static final String toomanylogins = "Login failed: Exceeded maximum number of sessions.";
    private GameManager gameManager;
    //static final String homePage = "main/PlaceBet.po";
    static final String homePage = "main/popup.po";
    static final String loginPage = "login/Login.po";
    static final String errorMsgArg = "errorMsg";
    static final String debugArg = "debug";
    static final String helpArg = "help";

    public void run(HttpPresentationComms comms) throws Exception{

        Poker application = (Poker)comms.application;
	gameManager = application.getGameManager();
	String cookieval = "";
	String nousername ="You must specify a username and password to login.";
        String username = comms.request.getParameter("username");
        String pw = comms.request.getParameter("pw");
	//String id = comms.request.getParameter("id");
	String id = comms.session.getSessionKey();

       String pp = comms.request.getApplicationPath();
       if (!pp.endsWith("/"))
           pp += "/";

       String redirect = loginPage;
       String message = "";
       boolean auth = false;

       if ((!username.equals("")) & (!pw.equals(""))){	
           auth = gameManager.authenticate(username, pw);
       }

       if (!auth){
	   message = badpassword;
    	   comms.session.getSessionData().set("loginMessage", message);
           //comms.session.getSessionData().set("oname", username);
       } else {
	   PokerGame ap=(PokerGame)gameManager.getGame(username);
           PokerGame game = ap;
           comms.session.setUser(game.getPlayer());
           comms.session.getSessionData().set("game", game);
	   redirect = homePage;
       }

    throw new ClientPageRedirectException(
                  comms.request.getAppFileURIPath(redirect));
    }
}
