#
# Enhydra Java Application Server 
# The Initial Developer of the Original Code is Lutris Technologies Inc. 
# Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
# Inc. 
# All Rights Reserved. 
#
# The contents of this file are subject to the Enhydra Public License Version
# 1.0 (the "License"); you may not use this file except in compliance with the
# License. You may obtain a copy of the License at
# http://www.enhydra.org/software/license/epl.html 
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations under the
# License. 
#
#
#
#
# The directory containing the Lutris distribution is set in
# DEFAULT_ENHYDRA_DIR.  If a compiled Enhydra source tree is in
# ../../Enhydra, then it will be used instead of the default.  It
# maybe necessary to modify the default.
#
#               Is this correct?
#                    |
#                    |
#                    |
#                  \ | /
#                   \|/
#                    V
ENHYDRA_VERSION=3.0
DEFAULT_ENHYDRA_DIR = /usr/local/enhydra${ENHYDRA_VERSION}
ENHYDRA_SRC_DIR = ${ROOT}/../../Enhydra

ifeq ($(ENHYDRA_DIR),)
    ifeq ($(shell test -r $(ENHYDRA_SRC_DIR)/classes && echo YES),YES)
      ENHYDRA_DIR=$(ENHYDRA_SRC_DIR)/output/enhydra${ENHYDRA_VERSION}
      ENHYDRA_CLASSES = $(ENHYDRA_DIR)/../../classes/enhydra
    else
      ENHYDRA_DIR=$(DEFAULT_ENHYDRA_DIR)
    endif
endif

#
# Local override
#
ifeq ($(shell test -r $(ROOT)/config.local.mk && echo YES),YES)
    include $(ROOT)/config.local.mk
else
ifeq ($(shell test -r $(ROOT)/../config.local.mk && echo YES),YES)
    include $(ROOT)/../config.local.mk
endif
endif

#
# You may need to set other values to override the defaults, for example:
#
# JDKDIR = /usr/local/jdk1.1.5
# JSDKDIR = ...
#
# See lib/stdrules.mk in the Enhydra installation for more
# configuration settings.
#


#
# What is the name of the jar file to create?
#
JARNAME = phoneList

#
# Do some sanity checking before trying to build.
#
ENHYDRA_CHECK = YES

include $(ENHYDRA_DIR)/lib/stdrules.mk

#
# Only used if ENHYDRA_DIR is not correct.
#
$(ENHYDRA_DIR)/lib/stdrules.mk:
	@echo
	@echo "Please edit config.mk. ENHYDRA_DIR must point to your installation of Enhydra."
	@echo
